Page MenuHomePhabricator

[OpenCL] Adding reserved operator logical xor for OpenCL
ClosedPublic

Authored by neil.hickey on Sep 30 2015, 1:36 AM.

Details

Summary

This patch adds the reserved operator ^^ when compiling for OpenCL, which results in a more meaningful error message.

Diff Detail

Event Timeline

neil.hickey retitled this revision from to Adding reserved operator logical xor for OpenCL.
neil.hickey updated this object.
neil.hickey added a reviewer: cfe-commits.
neil.hickey retitled this revision from Adding reserved operator logical xor for OpenCL to [OpenCL] Adding reserved operator logical xor for OpenCL.Oct 1 2015, 9:00 AM
This revision is now accepted and ready to land.Oct 2 2015, 2:03 AM
pxli168 accepted this revision.Jan 8 2016, 1:27 AM
pxli168 added a reviewer: pxli168.
pxli168 added a subscriber: pxli168.

LGTM!

Eugene.Zelenko added a subscriber: Eugene.Zelenko.

Committed in rL259651.